package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class OpticalMedia {
    private Metadata metadata;
    private List<VirtualOpticalMedia> virtualOpticalMediaList;
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the virtualOpticalMediaList
     */
    public List<VirtualOpticalMedia> getVirtualOpticalMediaList() {
        return virtualOpticalMediaList;
    }

    /**
     * @param virtualOpticalMediaList the virtualOpticalMediaList to set
     */
    public void setVirtualOpticalMediaList(List<VirtualOpticalMedia> virtualOpticalMediaList) {
        this.virtualOpticalMediaList = virtualOpticalMediaList;
    }

    public OpticalMedia() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
